Bug 126902 - GUI Fails to Start
Summary: GUI Fails to Start
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: up2date   
(Show other bugs)
Version: 2
Hardware: athlon
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Adrian Likins
QA Contact: Fanny Augustin
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-06-28 22:02 UTC by Jonathan Smith
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-26 19:08:55 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jonathan Smith 2004-06-28 22:02:44 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040510

Description of problem:
After upgrading from FC1 to FC2  until recently I was unable to run
any GTK-based application. The problem resolved after updating to a
development version of Pango (pango-1.4.0-3). I now can use a GNOME
desktop and all GTK-based apps that I normally use (e.g., Mozilla,
gFTP, etc.) now work excluding the up2date GUI. I am able to use
up2date -u from the command line. Whenever I try just plain up2date, I
receive the following error message:

Traceback (most recent call last):
  File "/usr/sbin/up2date", line 1271, in ?
    sys.exit(main() or 0)
  File "/usr/sbin/up2date", line 882, in main
    from up2date_client import gui
  File "/usr/share/rhn/up2date_client/gui.py", line 20, in ?
    import gnome, gnome.ui
ImportError: /usr/lib/libgnomevfs-2.so.0: undefined symbol:
ORBit_ObjectAdaptor_object_bind_to_current_thread


Version-Release number of selected component (if applicable):
up2date-4.3.19-1

How reproducible:
Always

Steps to Reproduce:
1. Open terminal
2. At the prompt, type up2date, press enter
3.
    

Actual Results:  Traceback (most recent call last):
  File "/usr/sbin/up2date", line 1271, in ?
    sys.exit(main() or 0)
  File "/usr/sbin/up2date", line 882, in main
    from up2date_client import gui
  File "/usr/share/rhn/up2date_client/gui.py", line 20, in ?
    import gnome, gnome.ui
ImportError: /usr/lib/libgnomevfs-2.so.0: undefined symbol:
ORBit_ObjectAdaptor_object_bind_to_current_thread

Expected Results:  The up2date GUI should appear. 


Additional info:

It had worked with Fedora Core 1.


Note You need to log in before you can comment on or make changes to this bug.